<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>The Hub</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

    <link rel="stylesheet" th:href="@{/bootstrap/bootstrap.min.css}"
          href="../../static/bootstrap/bootstrap.min.css"/>

    <link rel="stylesheet" th:href="@{/bootstrap/bootstrap-theme.min.css}"
          href="../../static/bootstrap/bootstrap-theme.min.css"/>

    <link rel="stylesheet" th:href="@{/font-awesome/css/font-awesome.min.css}"
          href="../../static/font-awesome/css/font-awesome.min.css"/>

    <link rel="stylesheet" th:href="@{/css/main.css}"
          href="../../static/css/main.css"/>

    <script rel="stylesheet" th:href="@{/css/main.css}"
            href="../../static/css/main.css"/>

    <script type="text/javascript" th:src="@{/js/jquery-3.1.1.min.js}"
            src="../../static/js/jquery-3.1.1.min.js"></script>

    <script type="text/javascript" th:src="@{/js/bootstrap.min.js}" src="../../static/js/bootstrap.min.js"></script>


</head>
<body>
<div class="container-fluid page-wrapper">
    <div class="container-fluid table-responsive">
        <!--<form method="post">-->
        <div class="row" style="margin-left: 0px;margin-right: 0px;">
            <div class="row" id="sudoku-controls-menu">
                <div class="col-md-12">
                    <div class="btn-group">
                        <button type="button" class="btn btn-default btn-lg dropdown-toggle" data-toggle="dropdown"
                                aria-haspopup="true" aria-expanded="false">
                            Generate <span class="caret"></span>
                        </button>
                        <ul id="generate-menu" class="dropdown-menu">
                        </ul>
                        <input class="btn btn-default btn-lg" type="button" value="Solve" onclick="solveSudoku()"/>
                        <input class="btn btn-default btn-lg" type="button" value="Check"
                               onclick="checkIfValidSolution()"/>
                    </div>
                </div>
            </div>
            <div class="row" id="grid">

                <div class="col-md-12">
                    <table id="sudoku-grid">
                    </table>
                </div>
            </div>
        </div>
        <!--</form>-->
    </div>
</div>
<script th:inline="javascript">
    var difficultyLevels = [[${difficultyLevels}]];
    function prepareGenerateMenu(difficultyLevels) {

        var menu = $('#generate-menu');
        menu.empty();

        difficultyLevels.forEach(function (difficultyLevel) {
            var html = '';
            html += '<li>';
            html += '<a href="#" onclick="generateGridWithDifficulty(\'' + difficultyLevel.level + '\')">'
            html += difficultyLevel.level;
            html += '</a>';
            html += '</li>';
            menu.append(html);
        })
    }
    prepareGenerateMenu(difficultyLevels);
</script>

<script type="text/javascript" th:src="@{/js/sudoku/sudoku.js}" src="../../static/js/sudoku/sudoku.js"></script>

</body>
</html>